Package ru.bitel.bgbilling.kernel.event.events

# Class ContractAddingSubEvent

java.lang.Object
ru.bitel.bgbilling.kernel.base.server.logger.BGLogger
ru.bitel.bgbilling.kernel.event.common.Event
ru.bitel.bgbilling.kernel.event.common.QueueEvent
ru.bitel.bgbilling.kernel.event.common.LocalEvent
ru.bitel.bgbilling.kernel.event.events.ContractAddingSubEvent

All Implemented Interfaces:
  `Serializable`, `ErrorReturnableEvent`

public class ContractAddingSubEvent extends ru.bitel.bgbilling.kernel.event.common.LocalEvent
Синхронное событие, генерируется перед связкой супердоговора с субдоговором. В том числе при создании нового договора как субдоговора текущего.

See Also:
  - Serialized Form

- ## Field Summary

  ### Fields inherited from class ru.bitel.bgbilling.kernel.event.common.Event

  `CONTRACT_GLOBAL, NO_MODULE, NO_PLUGIN`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ContractAddingSubEvent(int userId, Contract superContract, Contract subContract)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getError()`
  `Contract`
  `getSubContract()`
  `Contract`
  `getSuperContract()`
  `void`
  `setError(String error)`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.event.common.Event

  `getContractId, getDestination, getGenerateTime, getMessageID, getModuleId, getPluginId, getSource, getSuperContractId, getTime, getTimestamp, getTypeId, getUserId, isLogFunctionProcess, prepareMessage, serializeAsObject, setLogFunctionProcess, setMessageID, setSource, toString, toString`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.base.server.logger.BGLogger

  `error, error, error, getLogger, logError, logError, warn`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ContractAddingSubEvent

    public ContractAddingSubEvent(int userId, Contract superContract, Contract subContract)

- ## Method Details

  - ### getError

    public String getError()
    Specified by:
      `getError` in interface `ErrorReturnableEvent`
    Overrides:
      `getError` in class `ru.bitel.bgbilling.kernel.event.common.LocalEvent`

  - ### setError

    public void setError(String error)
    Specified by:
      `setError` in interface `ErrorReturnableEvent`
    Overrides:
      `setError` in class `ru.bitel.bgbilling.kernel.event.common.LocalEvent`

  - ### getSuperContract

    public Contract getSuperContract()

  - ### getSubContract

    public Contract getSubContract()